Summary: Utilities to use the FireCracker kit
Name: bottlerocket
Version: 0.04c
Release: 1
Group: Applications/Miscellaneous
Url: http://mlug.missouri.edu/~tymm/
Source: http://mlug.missouri.edu/~tymm/bottlerocket-%{version}.tar.gz
BuildRoot: /var/tmp/%{name}-root
Copyright: LGPL

%description
BottleRocket is a command-line interface for Unix systems to use the
FireCracker kit. It is easy to use, has all of the major (non-gui)
functionality of the Windows interface, is easy to call from scripts and the
backend code is made to be easily linked into other programs.

The FireCracker kit consists of a dongle-like RF transmitter that connects
to the serial port of a PC, and a receiver that plugs into a wall socket and
intercepts the signals, passing them on through house wiring to other units
that turn appliances on/off or dim/brighten lamps.  It doesn't support any
kind of 2-way communication, unlike some of the other X10 products.

%prep
%setup

%build
%configure --with-x10port=/dev/x10
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr
install -d $RPM_BUILD_ROOT/dev
ln -s ttyS1 $RPM_BUILD_ROOT/dev/x10

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
/usr/bin/br
/dev/x10
%doc README

%changelog
* Mon Nov 18 1999 Sean P. Kane <spkane@home.com>
- Upgraded to 0.04c
- Removed Patch

* Sat Jul 10 1999 Cristian Gafton <gafton@redhat.com>
- build first package
- patch to fix the getopt madness
